package com.ruoyi.weighbridge.mapper;

import java.util.List;
import com.ruoyi.weighbridge.domain.TblWeightinfo;

/**
 * 称重单Mapper接口
 * 
 * @author liuhj
 * @date 2022-03-10
 */
public interface TblWeightinfoMapper 
{
    /**
     * 查询称重单
     * 
     * @param serialNo 称重单主键
     * @return 称重单
     */
    public TblWeightinfo selectTblWeightinfoBySerialNo(String serialNo);

    /**
     * 查询称重单列表
     * 
     * @param tblWeightinfo 称重单
     * @return 称重单集合
     */
    public List<TblWeightinfo> selectTblWeightinfoList(TblWeightinfo tblWeightinfo);

    /**
     * 新增称重单
     * 
     * @param tblWeightinfo 称重单
     * @return 结果
     */
    public int insertTblWeightinfo(TblWeightinfo tblWeightinfo);

    /**
     * 修改称重单
     * 
     * @param tblWeightinfo 称重单
     * @return 结果
     */
    public int updateTblWeightinfo(TblWeightinfo tblWeightinfo);

    /**
     * 删除称重单
     * 
     * @param serialNo 称重单主键
     * @return 结果
     */
    public int deleteTblWeightinfoBySerialNo(String serialNo);

    /**
     * 批量删除称重单
     * 
     * @param serialNos 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTblWeightinfoBySerialNos(String[] serialNos);

    /**
     * 根据车牌号查询称重单
     *
     * @param plateNo 车牌号
     * @return 结果
     */
    public List<TblWeightinfo> selectTblWeightinfoByPlateNo(String plateNo);
}
